# https://files.pythonhosted.org/packages/a8/65/bf3fac81af756595a5302c05625c1955f817631abc961b034ff4d4077f53/logan-0.7.2.tar.gz
%define module logan

Name:           python-%{module}
Version:        0.7.2
Release:        %mkrel 2
Summary:        Toolkit for running standalone Django applications

Group:          Development/Python
License:        Apache License 2.0
URL:            https://pypi.python.org/pypi/logan
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd

%files
%defattr(-,root,root)
%doc PKG-INFO README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc PKG-INFO README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 0.7.2-2pclos2022
- rebuild against updates

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.7.2-1pclos2018
- update

* Sun Sep 06 2015 Ken <lxgator at gmail.com> 0.7.1-1pclos2015
- Initial pkg
